/* 커스텀어드민 전용 mapping js 대부분의 클릭이벤트는 여기에 있다  */

$(document).ready(function(){
	div_scale();
	LayerTabMenu();	
	coodiTabMenu();
	fabricTabMenu();
	// ModelInformationOpen();
	LayoutBtnClick();
	TypeBtnClick();
	CoodiStartBtn();
	// StarClick();
	slimScroll();
	ModelSize();
});

/* 전체화면 */
function div_scale() {
	$(window).on("resize",function  () {
		$("#globalContainer").css({width:$(window).width()})
	});
	$(window).trigger("resize");
}


/* 레이어 탭 메뉴 */
function LayerTabMenu() {

	function CloseLeftTabs(){
        $(".tab_content").hide();
		$(".left").css('left','-210px');
		$(".left-admin").css('left','-210px');
	    $("ul.lefttabs").css('left','0');

	    $(".container_Back").css('display','none');
    }

    function CloseRightTabs(){
        $(".right").css('right','-210px');
        $("ul.righttabs").css('right','0');
	    $("ul.lefttabs").css('left','0');

	    $(".container_Back").css('display','none');
    }

    function CloseBotTabs(){
        $(".bottom").css('bottom','-145px');
        $("ul.bottabs").css('bottom','0');
	    $("ul.lefttabs").css('left','0');

	    $(".container_Back").css('display','none');
    }


    $(".tab_content").hide();
    $(".tab_content:first").show();

	$("ul.lefttabs li").click(function () {
		if($(".right").css('right') == "0px"){
	    	CloseRightTabs();
		}
		if($(".bottom").css('bottom') == "0px"){
	    	CloseBotTabs();
		}
	    $("ul.lefttabs li").removeClass("active");
	    $(this).addClass("active");
        $(".tab_content").hide();
        var activeTab = $(this).attr("rel");
        $("#" + activeTab).fadeIn();
        $(".left").css('left','0');
        $(".left-admin").css('left','0');
        $("ul.lefttabs").css('left','210px');
        $(".container_Back").css('display','block');
    });

    $("ul.righttabs li").click(function () {
    	if($(".left").css('left') == "0px"){
	    	CloseLeftTabs();
		}
		if($(".bottom").css('bottom') == "0px"){
	    	CloseBotTabs();
		}
        var activeTab = $(this).attr("rel");
        $("#" + activeTab).fadeIn();
        $(".right").css('right','0');
        $("ul.righttabs").css('right','210px');
        $(".container_Back").css('display','block');
    });

    $("ul.bottabs li").click(function () {
    	if($(".right").css('right') == "0px"){
	    	CloseRightTabs();
		}
		if($(".left").css('left') == "0px"){
	    	CloseLeftTabs();
		}
        $("ul.bottabs li").removeClass("active");
        $(this).addClass("active");
        $(".tab_content").hide();
        var activeTab = $(this).attr("rel");
        $("#" + activeTab).fadeIn();
        $(".bottom").css('bottom','0');
        $("ul.bottabs").css('bottom','145px');
        $(".container_Back").css('display','block');
    });

    $(".container_Back").click(function(){
	    CloseLeftTabs();
	    CloseRightTabs();
	    CloseBotTabs();
	});
}


function coodiTabMenu() {
	$(".coodiTabContent").hide();
	$('#boyShirtsCategory').show();
	$('#girlShirtsCategory').show();

	$("ul.coodiTabs li").click(function(){
		$(this).addClass("coodiTabActive");
		$(this).find('img').attr('src',$(this).find('img').attr('src').replace('_off.png','_on.png'));

		$(this).siblings().each(function(idx){
			$(this).find('img').attr('src',$(this).find('img').attr('src').replace('_on.png','_off.png'));
			$(this).removeClass("coodiTabActive");
		});

		$(this).parents(".scrollBlind").siblings().hide();
		var coodiActiveTab = $(this).attr("rel");
		$("#" + coodiActiveTab).fadeIn();
	});
}


function fabricTabMenu() {
	$(".fabricTabContent").hide();
	$('#boyShirtsCategoryFabric').show();
	$('#girlShirtsCategoryFabric').show();

	$("ul.fabricTabs li").click(function(){
		$(this).addClass("fabricTabActive");
		$(this).find('img').attr('src',$(this).find('img').attr('src').replace('_off.png','_on.png'));

		$(this).siblings().each(function(idx){
				$(this).find('img').attr('src',$(this).find('img').attr('src').replace('_on.png','_off.png'));
				$(this).removeClass("fabricTabActive");
		});

		$(this).parents(".scrollBlind").siblings().hide();
		var fabricActiveTab = $(this).attr("rel");
		$("#" + fabricActiveTab).fadeIn();
	});
}


// function ModelInformationOpen() {
// 	$(".ModelInformationOpen").click(function(){
// 		sc.coupleDetail();
// 		$(".ModelInformation").fadeIn();
// 		$(".ModelInformation .Info_closebtn").click(function(){
// 			$(".ModelInformation").fadeOut();
// 		});
// 	});
// }


//슬라이드 버튼 클릭
function LayoutBtnClick(){
	$(".layout>ul>li").click(function(){
		var tabindex = $(this).index();
		$(".layout>ul>li").each(function(idx){
			$(this).find('img').attr('src',$(this).find('img').attr('src').replace('_off.png','_on.png'));
			if(tabindex != idx){
				$(this).find('img').attr('src',$(this).find('img').attr('src').replace('_on.png','_off.png'));
			}
		});
	});
}


function TypeBtnClick(){

	//main_reload.js -> sc.seasonTypeClickEvent() 로 이동
	//동복하복 클릭
	// $(".typebutton>ul>li.season>ul>li").click(function(){
	// 	var season = $(this).children().first().val();
	// 	sc.seasonChange(season);
	// 	var tabindex = $(this).index();
	// 	$(".typebutton>ul>li.season>ul>li").each(function(idx){
	// 		$(this).find('img').attr('src',$(this).find('img').attr('src').replace('_b.png','_c.png'));
	// 		if(tabindex != idx){
	// 			$(this).find('img').attr('src',$(this).find('img').attr('src').replace('_c.png','_b.png'));
	// 		}
	// 	});
	// 	// main_type['season'] = $(this)[0].className.split('-')[1];
	// });

	//남아 여아 클릭
	$(".ModelCoodi .typebutton .gender li").click(function(){
		var gender = $(this).children().first().val();
		sc.genderChange(gender);
		// var tabindex = $(this).index();
		// $(".ModelCoodi .typebutton .gender li").each(function(idx){
		// 	$(this).find('img').attr('src',$(this).find('img').attr('src').replace('_b.png','_c.png'));
		// 	if(tabindex != idx){
		// 		$(this).find('img').attr('src',$(this).find('img').attr('src').replace('_c.png','_b.png'));
		// 	}
		// });
		// main_type['gender'] = $(this)[0].className.split('-')[1];
	});

	//main_reload.js -> sc.styleTypeClickEvent() 로 이동
	//정복 트레이닝 클릭
	// $(".typebutton>ul>li.type>ul>li").click(function(){
	// 	var style = $(this).children().first().val();
	// 	sc.styleChange(style);
	// 	var tabindex = $(this).index();
	// 	$(".typebutton>ul>li.type>ul>li").each(function(idx){
	// 		$(this).find('img').attr('src',$(this).find('img').attr('src').replace('_b.png','_c.png'));
	// 		if(tabindex != idx){
	// 			$(this).find('img').attr('src',$(this).find('img').attr('src').replace('_c.png','_b.png'));
	// 		}
	// 	});
	// 	// main_type['style'] = $(this)[0].className.split('-')[1];
	// });
}

function CoodiStartBtn(){
	$('.coodiStart').click(function(){
		sc.loadCoordiModal();//코디모달 서버 작업
		$('.ModelCoodi').fadeIn();
	});
	// onclick coordicloseBtnEvent()로 이동
	// $(".coodi_closebtn").click(function(){
	// 	$(".ModelCoodi").fadeOut();
	// });
}

// favorite_acd_selected.js    sc.starClickEvent() 로 이동
// function StarClick(){
//     $(".star").bind("click",function() {
//         var image_name = $(this).find("img").attr("src");
//         if (image_name == "/static/simulation/images/star_c.png"){
//             $(this).find("img").attr("src",$(this).find("img").attr("src").replace("_c.png","_n.png"));
//         }else if (image_name == "/static/simulation/images/star_n.png"){
//             $(this).find("img").attr("src",$(this).find("img").attr("src").replace("_n.png","_c.png"));
//         }
//     });
// }

function slimScroll(){

	$('.coodiWrap, .setWrap, .bestWrap').slimscroll({
		width: '180px',
		height: '400px'
	});

	$('.fabricWrap').slimscroll({
		width: '180px',
		height: '400px'
	});

	$('.savelist').slimscroll({
		axis: 'x',
		width: 1024,
		height: 151,
		railVisible: true
	});
}



function ModelSize(){
	$('.swiper-slide').not($('.swiper-slide-active')).css('width','250px');
	$('.swiper-slide').css('margin-right','0');
	$('.swiper-slide').css('margin-left','10px');
	//var sidemodel = $('.swiper-slide').not($('.swiper-slide-active'));
	//$(sidemodel + "div > img").css('width','140px');
}
